# coding: utf-8

class AuthManager::Deleter

  def self.delete?(obj_to_del, option)
    AuthManager::Updater.update(obj_to_del, format_new_obj(obj_to_del), option)
  end

  private ######################

  def self.format_new_obj(obj_to_del)
    json_obj = JSON.parse(obj_to_del)
    if json_obj['api_key']
      {api_key: json_obj['api_key'], deleted: true  }.to_json
    else
      {login: json_obj['login'], password: json_obj['password'], deleted: true }.to_json
    end
  end

end
